<?php
/*
Plugin Name: Contact 1 menu
Version: 2.4.a
Description: Add contact as menu level 1
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=479
Author: ddtddt
Author URI:http://piwigo.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('C1M_DIR' , basename(dirname(__FILE__)));
define('C1M_PATH' , PHPWG_PLUGINS_PATH . C1M_DIR . '/');

$desacc = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ContactForm';"));

if($desacc['state'] != 'active') 
	{
if (script_basename() == 'admin')   
{
  include_once(dirname(__FILE__).'/initadmin.php');
}
	}
else
	{

add_event_handler('blockmanager_register_blocks', 'register_c1m_menubar_blocks');
add_event_handler('blockmanager_apply', 'c1m_apply');

function register_c1m_menubar_blocks( $menu_ref_arr )
{
  $menu = & $menu_ref_arr[0];
  if ($menu->get_id() != 'menubar')
    return;
  $menu->register_block( new RegisteredBlock( 'mbContact', 'Contact', 'C1M'));
}

function c1m_apply($menu_ref_arr)
{
  global $template;

 $menu = & $menu_ref_arr[0];
 
 load_language('plugin.lang', CF_PATH);
     // Envoi des donnes au template
	    $template->assign	(
		array	(
        'C1MTITLE'     => l10n('contact_form_title'),
        'C1MNAME'      => l10n('contact_form'),
        'C1MURL' => get_root_url().'index.php?/contact',
				)			);

   
    if (($block = $menu->get_block( 'mbContact' )) != null) {
	$template->set_template_dir(C1M_PATH.'template/');
	$block->template = 'menubar_contact.tpl';
    }
}
	}

?>